﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PrvocislaWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        #region Výpočty
        public bool Prvocislo(int n)
        {
            bool b = true;
            int i = 2;

            if (n == 1)
            {
                b = false;
            }

            while ((i < n) && (b == true))
            {
                if (n % i == 0)
                {
                    b = false;
                }
                i++;
            }
            return b;
        }

        #endregion

        #region Události
        private void BtnKonec_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void BtnVypis_Click(object sender, RoutedEventArgs e)
        {
            //int pocetCisel = 0;
            if (!((Int32.TryParse(this.TxtN.Text, out int pocetCisel)) && (pocetCisel > 0)))
            {
                // Zobrazení varovného dialogového okna
                MessageBox.Show("Zadejte platnou kladnou celočíselnou hodnotu pro počet čísel.", "Varování", MessageBoxButton.OK, MessageBoxImage.Error);
            }

            // Vypnutí funkčnosti kurzoru (nelze klikat)
            Mouse.OverrideCursor = Cursors.Wait;

            // Vymazání předchozí vypsané řady
            this.TxtPrvocisla.Clear();

            int n = 0;
            int i = 2;

            while (n < pocetCisel)
            {
                if (Prvocislo(i))
                {
                    this.TxtPrvocisla.Text += i.ToString();
                    n++;
                    if (n < pocetCisel)
                    {
                        this.TxtPrvocisla.Text += ",";
                    }
                }

                i++;
            }
        }

        #endregion


    }
}
